Q_QABS(3)

NAME
Q_QABS, Q_Q2S, Q_Q2F - fixed-point math functions which operate on a single Q number

SYNOPSIS
#include <sys/qmath.h>
QTYPE
Q_QABS(QTYPE q);
double
Q_Q2D(QTYPE q);
float
Q_Q2F(QTYPE q);

DESCRIPTION
The Q_QABS() function returns an absolute value representation of q.

The Q_Q2D() and Q_Q2F() functions return the double and float representations of q respectively.

All of those functions operate on the following data types: s8q_t, u8q_t, s16q_t, u16q_t, s32q_t, u32q_t, s64q_t, and u64q_t, which are referred to generically as QTYPE.

For more details, see qmath(3).

RETURN VALUES
Q_QABS() function returns a QTYPE that is identical to that of q.

The Q_Q2D() and Q_Q2F() functions return the double and float representations of q respectively.

SEE ALSO
errno(2), qmath(3), stdint(7)

HISTORY
The qmath(3) functions first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The qmath(3) functions and this manual page were written by Lawrence Stewart <lstewart@FreeBSD.org> and sponsored by Netflix, Inc.